Android Question Simple Library Compiler SLC - Compilation error

alexb

Member
Licensed User
Having not created any LIBs with SLC for > 2 years I now updated Eclipse and B4A to Platform 28.

While I have no problem under eclipse, I get compilation error by SLC, apparently Android N not supported ???

Screenshots shows that B4A ist to Android JAR from Platform 28. I used SDK Mananager to update.

It seems to be a simple configuration issue but I do not kno where to look for additionally.

I downloaded latest version of SLC I could find. I have licended version of B4A 9.01.2.

I have not set any "@DependsOn(values=..." because I am not using any external JARs/SDKs etc, just want to use some Android functions.

Any ideas?
 

Attachments

Last edited:

alexb

Member
Licensed User
... problem solved!

I had several instances of B4A open and after having closed all instances and re-open the project I am working on I noticed that configuration path of B4A was still pointing to android.jar of platform 21. Changed to path of 28, closed B4A, opened, verified that platform 28 is still set. Now SLC compiles without problem.
 
Top